const projects = [{
        name: "Foe Frenzy",
        desc: "Foe Frenzy is a fast-paced fighting game where you battle up to three of your friends with random, short-lasting items in an attempt to be the last survivor. It's currently in development, and will be released in December 2019.",
        links: {
            "itch.io page": "https://ellpeck.itch.io/foefrenzy",
            "Watch the trailer": "https://www.youtube.com/watch?v=Z7ZeuVBNuf4"
        },
        status: "In development",
        icon: "ff"
    },
    {
        name: "MLEM",
        desc: "MLEM is short for (M)LEM (L)ibrary by (E)llpeck for (M)onoGame. It's a set of NuGet packages that make creating games with the .NET-based framework <a href=\"http://www.monogame.net/\">MonoGame</a> a lot easier. MLEM includes a user interface system, a bunch of extension methods, a simple startup class and more.",
        links: {
            "Get it on NuGet": "https://www.nuget.org/packages?q=mlem",
            "Code on GitHub": "https://github.com/Ellpeck/MLEM"
        },
        status: "Side project",
        icon: "mlem"
    },
    {
        name: 'Actually Additions',
        desc: 'Actually Additions is a rather popular Minecraft mod that I used to work on. It\'s become widely known in the modding community and has reached over 10 million downloads by now, which is crazy. I don\'t work on it anymore myself, but it\'s being maintained for current versions by someone else.',
        links: {
            'CurseForge page': 'https://www.ellpeck.de/actadd',
            'Online manual': 'https://www.ellpeck.de/actaddmanual/'
        },
        status: 'Maintained',
        icon: 'aa'
    },
    {
        name: "Nature's Aura",
        desc: "Nature's Aura is a new Minecraft mod about collecting, using and replenishing the Aura naturally present in the world to create useful devices and unique mechanics.",
        status: 'Paused',
        links: {
            'CurseForge page': 'https://minecraft.curseforge.com/projects/natures-aura'
        },
        icon: 'na'
    },
    {
        name: "Tetro",
        desc: "Tetro is a Tetris clone I wrote in an afternoon and a bit. You can play it in the browser. It also features multiple game piece designs and some custom game modes. It was pretty fun to make, and it's pretty fun to play.",
        status: "Finished",
        links: {
            "Play it": "https://ellpeck.github.io/Tetro",
            "Code on GitHub": "https://github.com/Ellpeck/Tetro"
        },
        icon: "tetro"
    },
    {
        name: 'Rock Bottom',
        desc: 'Rock Bottom is a game I used to work on. It\'s a 2D-sidescrolling sandbox game with a storyline that has multiplayer support, a modding API and a lot more fun stuff. I don\'t work on it anymore, but I made it open source and some of my friends started working on it.',
        links: {
            'Website': 'https://rockbottomgame.com',
            'Code on GitHub': 'https://github.com/RockBottomGame'
        },
        status: 'Maintained',
        icon: 'rb'
    }
];

let p = '';
for (project of projects) {
    p += '<div class="card bg-light project rounded-0">';
    p += '<div class="card-body">';
    p += '<img class="project-image" src="res/projects/' + project["icon"] + '.png" alt="">';

    p += '<h4 class="card-title">' + project["name"] + '</h4>';
    p += '<p class="card-text">' + project["desc"] + '</p>';
    if (project["status"])
        p += '<span class="text-muted project-status">' + project["status"] + '</span>';

    let links = project["links"];
    if (links) {
        for (let name in links) {
            p += '<a href="' + links[name] + '" class="card-link btn ' + (dark ? "btn-outline-light" : "btn-outline-info") + ' rounded-0">' + name + '</a>';
        }
    }

    p += '</div>';
    p += '</div>';
}
$('#project-list').html(p);